.header {
    top: 0;
    left: 0;
    right: 0;
    padding: 8px 0;
    position: absolute;

    &__wrap {
        padding: 5px 10px;
        position: relative;
        height: 50px;
        background: #fff;
        display: flex;
        align-items: center;
        justify-content: space-between;
    }

    &__hamburger {
        display: block;
    }

    &__logo {
        display: block;
        font-weight: 700;
        text-decoration: none;
        text-transform: uppercase;
    }

    &__info {
        display: none;
        white-space: nowrap;
        font-size: size-rel(15px);
        line-height: size-rel(20px);

        &--label {
            font-size: size-rel(13px);
            line-height: size-rel(16px);
        }

        &--value {
            font-weight: 700;

            a {
                color: $primary;
                text-decoration: none;

                &:hover {
                    color: $primary;
                    text-decoration: none;
                }
            }
        }
    }

    &__order {
        left: 0;
        right: 0;
        padding: 5px 10px;
        top: calc(100% + 8px);
        height: 50px;
        color: $white;
        font-weight: 700;
        font-size: size-rel(16px);
        line-height: size-rel(24px);
        position: absolute;
        white-space: nowrap;
        background: $secondary;
        text-decoration: none;
        display: flex;
        align-items: center;
        justify-content: center;

        &--icon {
            width: 22px;
            height: 22px;
            font-size: 0;
            line-height: 0;
            display: inline-block;
            flex-shrink: 0;
        }

        &--text {
            padding-left: 10px;
            display: inline-block;
        }

        svg {
            fill: $white;
        }

        &:hover {
            color: $white;
            background: $hover;
            text-decoration: none;

            svg {
                fill: $white;
            }
        }
    }

    &__contact {

        &--text {
            display: none;
            color: #35363b;
            text-align: right;
            font-size: size-rel(13px);
            line-height: size-rel(16px);
        }
    }

    &__phone {
        color: $primary;
        white-space: nowrap;
        font-size: size-rel(18px);
        line-height: size-rel(24px);
        text-decoration: none;
        display: flex;
        align-items: center;

        &--icon {
            font-size: 0;
            line-height: 0;
            height: 20px;
            flex-shrink: 0;
            display: block;
        }

        &--number {
            display: none;
            margin-left: 8px;
        }

        &--viber {
            display: none;
            margin-right: 6px;
        }

        svg {
            fill: $black;
        }
    }


    @include media-breakpoint-up(md) {
        padding: 18px 0;

        &__wrap {
            height: 60px;
            padding: 0 20px;
        }

        &__logo {
            width: 120px;
            flex-shrink: 0;
        }

        &__order {
            top: auto;
            left: auto;
            right: auto;
            height: 60px;
            position: relative;
        }

        &__contact {

            &--text {
                display: block;
            }
        }

        &__phone {

            &--number {
                display: inline-block;
            }

            &--viber {
                display: block;
            }
        }
    }

    @include media-breakpoint-up(lg) {


        &__hamburger {
            order: 2;
            flex-grow: 1;
        }

        &__logo {
            order: 1;
        }

        &__info {
            order: 3;
        }

        &__order {
            order: 4;
            padding: 5px 25px;
        }

        &__contact {
            order: 5;
            margin-left: 50px;
        }
    }

    @include media-breakpoint-up(xl) {

        &__wrap {
            height: 78px;
            padding: 0 45px;
        }

        &__hamburger {
            flex-grow: 0;
            margin-right: 80px;
        }

        &__info {
            display: flex;
            align-items: center;

            &--item {
                margin-right: 50px;

                &:last-child {
                    display: none;
                }
            }
        }

        &__order {
            height: 78px;
        }

        &__phone {
            font-size: size-rel(22px);
            line-height: size-rel(24px);
        }
    }

    @include media-breakpoint-up(xxl) {

        &__container {
            max-width: 1660px;
        }

        &__info {
            flex-grow: 1;

            &--item {
                margin-right: 50px;

                &:last-child {
                    display: block;
                }
            }
        }

        &__logo {
            width: 170px;
        }

        &__hamburger {
            margin-right: 120px;
        }

        &__contact {
            margin-left: 60px;
        }
    }

    @media (min-width: 1640px) {

        &__hamburger {
            margin-right: 200px;
        }
    }
}

.hamburger {
    margin: 0;
    padding: 0;
    border: none;
    outline: none;
    font-size: size-rel(18px);
    line-height: size-rel(24px);
    cursor: pointer;
    position: relative;
    display: flex;
    align-items: center;
    background: transparent;

    &__icon {
        width: 24px;
        height: 24px;
        font-size: 0;
        line-height: 0;
        position: relative;

        &--inner {
            top: calc(50% - 1px);
            right: 0;
            width: 100%;
            height: 2px;
            z-index: 10;
            position: absolute;
            background: #16181f;

            &:after,
            &:before {
                right: 0;
                height: 2px;
                content: '';
                display: inline-block;
                position: absolute;
                transition-property: transform;
                transition-duration: .15s;
                transition-timing-function: ease;
                border-radius: 3px;
                background: #16181f;
            }

            &:after {
                top: -5px;
                width: 16px;
            }

            &:before {
                top: 5px;
                width: 12px;
            }
        }
    }

    &__text {
        display: none;
        padding-left: 8px;
    }

    @include media-breakpoint-up(lg) {

        &__text {
            display: inline-block;
        }
    }
}

.nav {
    top: 0;
    left: 0;
    bottom: 0;
    padding: 40px 25px;
    z-index: 1600;
    width: 280px;
    position: fixed;
    background: $dark;
    transform: translateX(-400px);
    transition: .3s;

    &__close {
        top: 8px;
        left: 100%;
        width: 50px;
        height: 50px;
        font-size: 0;
        line-height: 0;
        cursor: pointer;
        background: $dark;
        position: absolute;

        &:after,
        &:before {
            top: calc(50% - 1px);
            left: calc(50% - 12px);
            content: '';
            z-index: 10;
            width: 24px;
            height: 2px;
            background: $secondary;
            position: absolute;
            transition: .3s;
        }

        &:after {
            transform: rotate(45deg);
        }

        &:before {
            transform: rotate(-45deg);
        }

        &:hover {

            &:after,
            &:before {
                background: $white;
                transition: .3s;
            }
        }
    }

    &__menu {
        margin: 0;
        padding: 0;
        list-style: none;
        font-size: size-rel(16px);
        line-height: size-rel(30px);

        > li {

            > a {
                color: $secondary;
                text-decoration: none;
                transition: .3s;

                &:hover,
                &.active {
                    color: $white;
                    text-decoration: none;
                    transition: .3s;
                }
            }

            &.active {

                > a {
                    color: $white;
                }
            }

            > ul {
                margin: 0;
                padding: 0 0 0 20px;

                > li {

                    > a {
                        color: $secondary;
                        text-decoration: none;
                        transition: .3s;

                        &:hover,
                        &.active {
                            color: $white;
                            text-decoration: none;
                            transition: .3s;
                        }
                    }

                    &.active {

                        > a {
                            color: $white;
                        }
                    }
                }
            }
        }
    }

    &__layout {
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
        z-index: 1450;
        opacity: 0;
        visibility: hidden;
        position: fixed;
        background: rgba(0,0,0,0.5);
        backdrop-filter: blur(6px);
        transition: .3s;
    }

    @include media-breakpoint-up(md) {
        padding: 50px 30px;

        &__close {
            top: 18px;
            width: 60px;
            height: 60px;
        }

        &__menu {

            > li {
                padding: 5px 0;

                > ul {
                    padding-left: 30px;

                    > li {
                        padding: 5px 0;
                    }
                }
            }
        }
    }

    @include media-breakpoint-up(xl) {

        &__close {
            top: 18px;
            width: 78px;
            height: 78px;
        }
    }
}

.nav-open {

    .nav {
        transition: .3s;
        transform: translateX(0);
    }

    .nav__layout {
        opacity: 1;
        visibility: visible;
        transition: .3s;
    }

    .hamburger {

        &__icon {

            &--inner {
                background: transparent;
                transform: rotate(360deg);
                transition: .2s;

                &:after {
                    width: 24px;
                    top: calc(50% - 1px);
                    transform: rotate(45deg);
                }

                &:before {
                    width: 24px;
                    top: calc(50% - 1px);
                    transform: rotate(-45deg);
                }
            }
        }
    }
}

